source: squid-ssl/trunk/fuentes/helpers/url_rewrite/fake/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 41.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95libexec_PROGRAMS = url_fake_rewrite$(EXEEXT)
96subdir = helpers/url_rewrite/fake
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_url_fake_rewrite_OBJECTS = fake.$(OBJEXT)
166url_fake_rewrite_OBJECTS = $(am_url_fake_rewrite_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170url_fake_rewrite_DEPENDENCIES = $(am__DEPENDENCIES_2)
171AM_V_lt = $(am__v_lt_@AM_V@)
172am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
173am__v_lt_0 = --silent
174am__v_lt_1 =
175am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
176am__vpath_adj = case $$p in \
177    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
178    *) f=$$p;; \
179  esac;
180am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
181am__install_max = 40
182am__nobase_strip_setup = \
183  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
184am__nobase_strip = \
185  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
186am__nobase_list = $(am__nobase_strip_setup); \
187  for p in $$list; do echo "$$p $$p"; done | \
188  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
189  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
190    if (++n[$$2] == $(am__install_max)) \
191      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
192    END { for (dir in files) print dir, files[dir] }'
193am__base_list = \
194  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
195  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
196am__uninstall_files_from_dir = { \
197  test -z "$$files" \
198    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
199    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
200         $(am__cd) "$$dir" && rm -f $$files; }; \
201  }
202SCRIPTS = $(libexec_SCRIPTS)
203AM_V_P = $(am__v_P_@AM_V@)
204am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
205am__v_P_0 = false
206am__v_P_1 = :
207AM_V_GEN = $(am__v_GEN_@AM_V@)
208am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
209am__v_GEN_0 = @echo "  GEN     " $@;
210am__v_GEN_1 =
211AM_V_at = $(am__v_at_@AM_V@)
212am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
213am__v_at_0 = @
214am__v_at_1 =
215DEFAULT_INCLUDES =
216depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
217am__depfiles_maybe = depfiles
218am__mv = mv -f
219CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
220        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
221LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
223        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
224        $(AM_CXXFLAGS) $(CXXFLAGS)
225AM_V_CXX = $(am__v_CXX_@AM_V@)
226am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
227am__v_CXX_0 = @echo "  CXX     " $@;
228am__v_CXX_1 =
229CXXLD = $(CXX)
230CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
231        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
232        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
233AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
234am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
235am__v_CXXLD_0 = @echo "  CXXLD   " $@;
236am__v_CXXLD_1 =
237SOURCES = $(url_fake_rewrite_SOURCES)
238DIST_SOURCES = $(url_fake_rewrite_SOURCES)
239am__can_run_installinfo = \
240  case $$AM_UPDATE_INFO_DIR in \
241    n|no|NO) false;; \
242    *) (install-info --version) >/dev/null 2>&1;; \
243  esac
244am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
245# Read a list of newline-separated strings from the standard input,
246# and print each of them once, without duplicates.  Input order is
247# *not* preserved.
248am__uniquify_input = $(AWK) '\
249  BEGIN { nonempty = 0; } \
250  { items[$$0] = 1; nonempty = 1; } \
251  END { if (nonempty) { for (i in items) print i; }; } \
252'
253# Make sure the list of sources is unique.  This is necessary because,
254# e.g., the same source file might be shared among _SOURCES variables
255# for different programs/libraries.
256am__define_uniq_tagged_files = \
257  list='$(am__tagged_files)'; \
258  unique=`for i in $$list; do \
259    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
260  done | $(am__uniquify_input)`
261ETAGS = etags
262CTAGS = ctags
263am__tty_colors_dummy = \
264  mgn= red= grn= lgn= blu= brg= std=; \
265  am__color_tests=no
266am__tty_colors = { \
267  $(am__tty_colors_dummy); \
268  if test "X$(AM_COLOR_TESTS)" = Xno; then \
269    am__color_tests=no; \
270  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
271    am__color_tests=yes; \
272  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
273    am__color_tests=yes; \
274  fi; \
275  if test $$am__color_tests = yes; then \
276    red='[0;31m'; \
277    grn='[0;32m'; \
278    lgn='[1;32m'; \
279    blu='[1;34m'; \
280    mgn='[0;35m'; \
281    brg='[1m'; \
282    std='[m'; \
283  fi; \
284}
285am__recheck_rx = ^[     ]*:recheck:[    ]*
286am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
287am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
288# A command that, given a newline-separated list of test names on the
289# standard input, print the name of the tests that are to be re-run
290# upon "make recheck".
291am__list_recheck_tests = $(AWK) '{ \
292  recheck = 1; \
293  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
294    { \
295      if (rc < 0) \
296        { \
297          if ((getline line2 < ($$0 ".log")) < 0) \
298            recheck = 0; \
299          break; \
300        } \
301      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
302        { \
303          recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
307        { \
308          break; \
309        } \
310    }; \
311  if (recheck) \
312    print $$0; \
313  close ($$0 ".trs"); \
314  close ($$0 ".log"); \
315}'
316# A command that, given a newline-separated list of test names on the
317# standard input, create the global log from their .trs and .log files.
318am__create_global_log = $(AWK) ' \
319function fatal(msg) \
320{ \
321  print "fatal: making $@: " msg | "cat >&2"; \
322  exit 1; \
323} \
324function rst_section(header) \
325{ \
326  print header; \
327  len = length(header); \
328  for (i = 1; i <= len; i = i + 1) \
329    printf "="; \
330  printf "\n\n"; \
331} \
332{ \
333  copy_in_global_log = 1; \
334  global_test_result = "RUN"; \
335  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
336    { \
337      if (rc < 0) \
338         fatal("failed to read from " $$0 ".trs"); \
339      if (line ~ /$(am__global_test_result_rx)/) \
340        { \
341          sub("$(am__global_test_result_rx)", "", line); \
342          sub("[        ]*$$", "", line); \
343          global_test_result = line; \
344        } \
345      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
346        copy_in_global_log = 0; \
347    }; \
348  if (copy_in_global_log) \
349    { \
350      rst_section(global_test_result ": " $$0); \
351      while ((rc = (getline line < ($$0 ".log"))) != 0) \
352      { \
353        if (rc < 0) \
354          fatal("failed to read from " $$0 ".log"); \
355        print line; \
356      }; \
357      printf "\n"; \
358    }; \
359  close ($$0 ".trs"); \
360  close ($$0 ".log"); \
361}'
362# Restructured Text title.
363am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
364# Solaris 10 'make', and several other traditional 'make' implementations,
365# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
366# by disabling -e (using the XSI extension "set +e") if it's set.
367am__sh_e_setup = case $$- in *e*) set +e;; esac
368# Default flags passed to test drivers.
369am__common_driver_flags = \
370  --color-tests "$$am__color_tests" \
371  --enable-hard-errors "$$am__enable_hard_errors" \
372  --expect-failure "$$am__expect_failure"
373# To be inserted before the command running the test.  Creates the
374# directory for the log if needed.  Stores in $dir the directory
375# containing $f, in $tst the test, in $log the log.  Executes the
376# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
377# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
378# will run the test scripts (or their associated LOG_COMPILER, if
379# thy have one).
380am__check_pre = \
381$(am__sh_e_setup);                                      \
382$(am__vpath_adj_setup) $(am__vpath_adj)                 \
383$(am__tty_colors);                                      \
384srcdir=$(srcdir); export srcdir;                        \
385case "$@" in                                            \
386  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
387    *) am__odir=.;;                                     \
388esac;                                                   \
389test "x$$am__odir" = x"." || test -d "$$am__odir"       \
390  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
391if test -f "./$$f"; then dir=./;                        \
392elif test -f "$$f"; then dir=;                          \
393else dir="$(srcdir)/"; fi;                              \
394tst=$$dir$$f; log='$@';                                 \
395if test -n '$(DISABLE_HARD_ERRORS)'; then               \
396  am__enable_hard_errors=no;                            \
397else                                                    \
398  am__enable_hard_errors=yes;                           \
399fi;                                                     \
400case " $(XFAIL_TESTS) " in                              \
401  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
402    am__expect_failure=yes;;                            \
403  *)                                                    \
404    am__expect_failure=no;;                             \
405esac;                                                   \
406$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
407# A shell command to get the names of the tests scripts with any registered
408# extension removed (i.e., equivalently, the names of the test logs, with
409# the '.log' extension removed).  The result is saved in the shell variable
410# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
411# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
412# since that might cause problem with VPATH rewrites for suffix-less tests.
413# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
414am__set_TESTS_bases = \
415  bases='$(TEST_LOGS)'; \
416  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
417  bases=`echo $$bases`
418RECHECK_LOGS = $(TEST_LOGS)
419AM_RECURSIVE_TARGETS = check recheck
420TEST_SUITE_LOG = test-suite.log
421TEST_EXTENSIONS = @EXEEXT@ .test
422am__test_logs1 = $(TESTS:=.log)
423am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
424TEST_LOGS = $(am__test_logs2:.test.log=.log)
425TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
426TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
427        $(TEST_LOG_FLAGS)
428am__set_b = \
429  case '$@' in \
430    */*) \
431      case '$*' in \
432        */*) b='$*';; \
433          *) b=`echo '$@' | sed 's/\.log$$//'`; \
434       esac;; \
435    *) \
436      b='$*';; \
437  esac
438am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
439        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
440DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
441ACLOCAL = @ACLOCAL@
442ADAPTATION_LIBS = @ADAPTATION_LIBS@
443ALLOCA = @ALLOCA@
444AMTAR = @AMTAR@
445AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
446AR = @AR@
447ARGZ_H = @ARGZ_H@
448AR_R = @AR_R@
449AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
450AUTH_MODULES = @AUTH_MODULES@
451AUTOCONF = @AUTOCONF@
452AUTOHEADER = @AUTOHEADER@
453AUTOMAKE = @AUTOMAKE@
454AWK = @AWK@
455BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
456BUILDCXX = @BUILDCXX@
457BUILDCXXFLAGS = @BUILDCXXFLAGS@
458BZR = @BZR@
459CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
460CC = @CC@
461CCDEPMODE = @CCDEPMODE@
462CFLAGS = @CFLAGS@
463CGIEXT = @CGIEXT@
464CHMOD = @CHMOD@
465CPP = @CPP@
466CPPFLAGS = @CPPFLAGS@
467CPPUNITCONFIG = @CPPUNITCONFIG@
468CRYPTLIB = @CRYPTLIB@
469CXX = @CXX@
470CXXCPP = @CXXCPP@
471CXXDEPMODE = @CXXDEPMODE@
472CXXFLAGS = @CXXFLAGS@
473CYGPATH_W = @CYGPATH_W@
474DEFAULT_HOSTS = @DEFAULT_HOSTS@
475DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
476DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
477DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
478DEFS = @DEFS@
479DEPDIR = @DEPDIR@
480DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
481DISK_LIBS = @DISK_LIBS@
482DISK_LINKOBJS = @DISK_LINKOBJS@
483DISK_MODULES = @DISK_MODULES@
484DISK_OS_LIBS = @DISK_OS_LIBS@
485DISK_PROGRAMS = @DISK_PROGRAMS@
486DLLTOOL = @DLLTOOL@
487DSYMUTIL = @DSYMUTIL@
488DUMPBIN = @DUMPBIN@
489ECAP_LIBS = @ECAP_LIBS@
490ECHO_C = @ECHO_C@
491ECHO_N = @ECHO_N@
492ECHO_T = @ECHO_T@
493EGREP = @EGREP@
494EPOLL_LIBS = @EPOLL_LIBS@
495EUILIB = @EUILIB@
496EXEEXT = @EXEEXT@
497EXPATLIB = @EXPATLIB@
498EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
499EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
500EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
501FALSE = @FALSE@
502FGREP = @FGREP@
503GREP = @GREP@
504HAVE_CXX11 = @HAVE_CXX11@
505ICAP_LIBS = @ICAP_LIBS@
506INCLTDL = @INCLTDL@
507INSTALL = @INSTALL@
508INSTALL_DATA = @INSTALL_DATA@
509INSTALL_PROGRAM = @INSTALL_PROGRAM@
510INSTALL_SCRIPT = @INSTALL_SCRIPT@
511INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
512KRB5INCS = @KRB5INCS@
513KRB5LIBS = @KRB5LIBS@
514LBERLIB = @LBERLIB@
515LD = @LD@
516LDAPLIB = @LDAPLIB@
517LDFLAGS = @LDFLAGS@
518LIBADD_DL = @LIBADD_DL@
519LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
520LIBADD_DLOPEN = @LIBADD_DLOPEN@
521LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
522LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
523LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
524LIBLTDL = @LIBLTDL@
525LIBOBJS = @LIBOBJS@
526LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
527LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
528LIBS = @LIBS@
529LIBSASL = @LIBSASL@
530LIBTOOL = @LIBTOOL@
531LIB_DB = @LIB_DB@
532LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
533LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
534LINUXDOC = @LINUXDOC@
535LIPO = @LIPO@
536LN = @LN@
537LN_S = @LN_S@
538LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
539LTDLDEPS = @LTDLDEPS@
540LTDLINCL = @LTDLINCL@
541LTDLOPEN = @LTDLOPEN@
542LTLIBOBJS = @LTLIBOBJS@
543LT_CONFIG_H = @LT_CONFIG_H@
544LT_DLLOADERS = @LT_DLLOADERS@
545LT_DLPREOPEN = @LT_DLPREOPEN@
546MAINT = @MAINT@
547MAKEINFO = @MAKEINFO@
548MANIFEST_TOOL = @MANIFEST_TOOL@
549MINGW_LIBS = @MINGW_LIBS@
550MKDIR = @MKDIR@
551MKDIR_P = @MKDIR_P@
552MV = @MV@
553NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
554NETTLELIB = @NETTLELIB@
555NM = @NM@
556NMEDIT = @NMEDIT@
557NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
558OBJDUMP = @OBJDUMP@
559OBJEXT = @OBJEXT@
560OTOOL = @OTOOL@
561OTOOL64 = @OTOOL64@
562PACKAGE = @PACKAGE@
563PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
564PACKAGE_NAME = @PACKAGE_NAME@
565PACKAGE_STRING = @PACKAGE_STRING@
566PACKAGE_TARNAME = @PACKAGE_TARNAME@
567PACKAGE_URL = @PACKAGE_URL@
568PACKAGE_VERSION = @PACKAGE_VERSION@
569PATH_SEPARATOR = @PATH_SEPARATOR@
570PERL = @PERL@
571PKG_CONFIG = @PKG_CONFIG@
572PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
573PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
574PO2HTML = @PO2HTML@
575PO2TEXT = @PO2TEXT@
576POD2MAN = @POD2MAN@
577RANLIB = @RANLIB@
578REGEXLIB = @REGEXLIB@
579REPL_LIBS = @REPL_LIBS@
580REPL_OBJS = @REPL_OBJS@
581REPL_POLICIES = @REPL_POLICIES@
582RM = @RM@
583SED = @SED@
584SET_MAKE = @SET_MAKE@
585SH = @SH@
586SHELL = @SHELL@
587SMBCLIENT = @SMBCLIENT@
588SNMPLIB = @SNMPLIB@
589SQUID_CFLAGS = @SQUID_CFLAGS@
590SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
591SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
592SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
593SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
594SSLLIB = @SSLLIB@
595STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
596STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
597STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
598STORE_TESTS = @STORE_TESTS@
599STRIP = @STRIP@
600TR = @TR@
601TRUE = @TRUE@
602URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
603VERSION = @VERSION@
604WBINFO = @WBINFO@
605WIN32_PSAPI = @WIN32_PSAPI@
606XMLLIB = @XMLLIB@
607XTRA_LIBS = @XTRA_LIBS@
608XTRA_OBJS = @XTRA_OBJS@
609abs_builddir = @abs_builddir@
610abs_srcdir = @abs_srcdir@
611abs_top_builddir = @abs_top_builddir@
612abs_top_srcdir = @abs_top_srcdir@
613ac_ct_AR = @ac_ct_AR@
614ac_ct_CC = @ac_ct_CC@
615ac_ct_CXX = @ac_ct_CXX@
616ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
617am__include = @am__include@
618am__leading_dot = @am__leading_dot@
619am__quote = @am__quote@
620am__tar = @am__tar@
621am__untar = @am__untar@
622bindir = @bindir@
623build = @build@
624build_alias = @build_alias@
625build_cpu = @build_cpu@
626build_os = @build_os@
627build_vendor = @build_vendor@
628builddir = @builddir@
629datadir = @datadir@
630datarootdir = @datarootdir@
631docdir = @docdir@
632dvidir = @dvidir@
633exec_prefix = @exec_prefix@
634host = @host@
635host_alias = @host_alias@
636host_cpu = @host_cpu@
637host_os = @host_os@
638host_vendor = @host_vendor@
639htmldir = @htmldir@
640includedir = @includedir@
641infodir = @infodir@
642install_sh = @install_sh@
643krb5_config = @krb5_config@
644libdir = @libdir@
645libexecdir = @libexecdir@
646localedir = @localedir@
647localstatedir = @localstatedir@
648ltdl_LIBOBJS = @ltdl_LIBOBJS@
649ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
650mandir = @mandir@
651mkdir_p = @mkdir_p@
652oldincludedir = @oldincludedir@
653pdfdir = @pdfdir@
654prefix = @prefix@
655program_transform_name = @program_transform_name@
656psdir = @psdir@
657runstatedir = @runstatedir@
658sbindir = @sbindir@
659sharedstatedir = @sharedstatedir@
660srcdir = @srcdir@
661subdirs = @subdirs@
662sys_symbol_underscore = @sys_symbol_underscore@
663sysconfdir = @sysconfdir@
664target_alias = @target_alias@
665top_build_prefix = @top_build_prefix@
666top_builddir = @top_builddir@
667top_srcdir = @top_srcdir@
668AM_CFLAGS = $(SQUID_CFLAGS)
669AM_CXXFLAGS = $(SQUID_CXXFLAGS)
670CLEANFILES =
671AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
672        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
673        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
674        $(am__append_1)
675@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
676@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
677COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
678subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
679url_fake_rewrite_SOURCES = fake.cc
680url_fake_rewrite_LDADD = $(COMPAT_LIB)
681libexec_SCRIPTS = url_fake_rewrite.sh
682EXTRA_DIST = url_fake_rewrite.sh required.m4
683all: all-am
684
685.SUFFIXES:
686.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
687$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
688        @for dep in $?; do \
689          case '$(am__configure_deps)' in \
690            *$$dep*) \
691              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
692                && { if test -f $@; then exit 0; else break; fi; }; \
693              exit 1;; \
694          esac; \
695        done; \
696        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/url_rewrite/fake/Makefile'; \
697        $(am__cd) $(top_srcdir) && \
698          $(AUTOMAKE) --foreign helpers/url_rewrite/fake/Makefile
699Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
700        @case '$?' in \
701          *config.status*) \
702            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
703          *) \
704            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
705            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
706        esac;
707$(top_srcdir)/src/Common.am $(am__empty):
708
709$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
710        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
711
712$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
713        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
715        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716$(am__aclocal_m4_deps):
717
718clean-checkPROGRAMS:
719        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
720        echo " rm -f" $$list; \
721        rm -f $$list || exit $$?; \
722        test -n "$(EXEEXT)" || exit 0; \
723        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
724        echo " rm -f" $$list; \
725        rm -f $$list
726install-libexecPROGRAMS: $(libexec_PROGRAMS)
727        @$(NORMAL_INSTALL)
728        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
729        if test -n "$$list"; then \
730          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
731          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
732        fi; \
733        for p in $$list; do echo "$$p $$p"; done | \
734        sed 's/$(EXEEXT)$$//' | \
735        while read p p1; do if test -f $$p \
736         || test -f $$p1 \
737          ; then echo "$$p"; echo "$$p"; else :; fi; \
738        done | \
739        sed -e 'p;s,.*/,,;n;h' \
740            -e 's|.*|.|' \
741            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
742        sed 'N;N;N;s,\n, ,g' | \
743        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
744          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
745            if ($$2 == $$4) files[d] = files[d] " " $$1; \
746            else { print "f", $$3 "/" $$4, $$1; } } \
747          END { for (d in files) print "f", d, files[d] }' | \
748        while read type dir files; do \
749            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
750            test -z "$$files" || { \
751            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
752            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
753            } \
754        ; done
755
756uninstall-libexecPROGRAMS:
757        @$(NORMAL_UNINSTALL)
758        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
759        files=`for p in $$list; do echo "$$p"; done | \
760          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
761              -e 's/$$/$(EXEEXT)/' \
762        `; \
763        test -n "$$list" || exit 0; \
764        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
765        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
766
767clean-libexecPROGRAMS:
768        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
769        echo " rm -f" $$list; \
770        rm -f $$list || exit $$?; \
771        test -n "$(EXEEXT)" || exit 0; \
772        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
773        echo " rm -f" $$list; \
774        rm -f $$list
775
776url_fake_rewrite$(EXEEXT): $(url_fake_rewrite_OBJECTS) $(url_fake_rewrite_DEPENDENCIES) $(EXTRA_url_fake_rewrite_DEPENDENCIES)
777        @rm -f url_fake_rewrite$(EXEEXT)
778        $(AM_V_CXXLD)$(CXXLINK) $(url_fake_rewrite_OBJECTS) $(url_fake_rewrite_LDADD) $(LIBS)
779install-libexecSCRIPTS: $(libexec_SCRIPTS)
780        @$(NORMAL_INSTALL)
781        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
782        if test -n "$$list"; then \
783          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
784          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
785        fi; \
786        for p in $$list; do \
787          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
788          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
789        done | \
790        sed -e 'p;s,.*/,,;n' \
791            -e 'h;s|.*|.|' \
792            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
793        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
794          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
795            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
796              if (++n[d] == $(am__install_max)) { \
797                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
798            else { print "f", d "/" $$4, $$1 } } \
799          END { for (d in files) print "f", d, files[d] }' | \
800        while read type dir files; do \
801             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
802             test -z "$$files" || { \
803               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
804               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
805             } \
806        ; done
807
808uninstall-libexecSCRIPTS:
809        @$(NORMAL_UNINSTALL)
810        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
811        files=`for p in $$list; do echo "$$p"; done | \
812               sed -e 's,.*/,,;$(transform)'`; \
813        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
814
815mostlyclean-compile:
816        -rm -f *.$(OBJEXT)
817
818distclean-compile:
819        -rm -f *.tab.c
820
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fake.Po@am__quote@
822
823.cc.o:
824@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
825@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
826@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
827@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
828@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
830
831.cc.obj:
832@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
833@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
834@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
835@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
836@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
838
839.cc.lo:
840@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
841@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
842@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
843@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
846
847mostlyclean-libtool:
848        -rm -f *.lo
849
850clean-libtool:
851        -rm -rf .libs _libs
852
853ID: $(am__tagged_files)
854        $(am__define_uniq_tagged_files); mkid -fID $$unique
855tags: tags-am
856TAGS: tags
857
858tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
859        set x; \
860        here=`pwd`; \
861        $(am__define_uniq_tagged_files); \
862        shift; \
863        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
864          test -n "$$unique" || unique=$$empty_fix; \
865          if test $$# -gt 0; then \
866            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
867              "$$@" $$unique; \
868          else \
869            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
870              $$unique; \
871          fi; \
872        fi
873ctags: ctags-am
874
875CTAGS: ctags
876ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
877        $(am__define_uniq_tagged_files); \
878        test -z "$(CTAGS_ARGS)$$unique" \
879          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
880             $$unique
881
882GTAGS:
883        here=`$(am__cd) $(top_builddir) && pwd` \
884          && $(am__cd) $(top_srcdir) \
885          && gtags -i $(GTAGS_ARGS) "$$here"
886cscopelist: cscopelist-am
887
888cscopelist-am: $(am__tagged_files)
889        list='$(am__tagged_files)'; \
890        case "$(srcdir)" in \
891          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
892          *) sdir=$(subdir)/$(srcdir) ;; \
893        esac; \
894        for i in $$list; do \
895          if test -f "$$i"; then \
896            echo "$(subdir)/$$i"; \
897          else \
898            echo "$$sdir/$$i"; \
899          fi; \
900        done >> $(top_builddir)/cscope.files
901
902distclean-tags:
903        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
904
905# Recover from deleted '.trs' file; this should ensure that
906# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
907# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
908# to avoid problems with "make -n".
909.log.trs:
910        rm -f $< $@
911        $(MAKE) $(AM_MAKEFLAGS) $<
912
913# Leading 'am--fnord' is there to ensure the list of targets does not
914# expand to empty, as could happen e.g. with make check TESTS=''.
915am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
916am--force-recheck:
917        @:
918
919$(TEST_SUITE_LOG): $(TEST_LOGS)
920        @$(am__set_TESTS_bases); \
921        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
922        redo_bases=`for i in $$bases; do \
923                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
924                    done`; \
925        if test -n "$$redo_bases"; then \
926          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
927          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
928          if $(am__make_dryrun); then :; else \
929            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
930          fi; \
931        fi; \
932        if test -n "$$am__remaking_logs"; then \
933          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
934               "recursion detected" >&2; \
935        elif test -n "$$redo_logs"; then \
936          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
937        fi; \
938        if $(am__make_dryrun); then :; else \
939          st=0;  \
940          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
941          for i in $$redo_bases; do \
942            test -f $$i.trs && test -r $$i.trs \
943              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
944            test -f $$i.log && test -r $$i.log \
945              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
946          done; \
947          test $$st -eq 0 || exit 1; \
948        fi
949        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
950        ws='[   ]'; \
951        results=`for b in $$bases; do echo $$b.trs; done`; \
952        test -n "$$results" || results=/dev/null; \
953        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
954        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
955        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
956        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
957        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
958        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
959        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
960        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
961          success=true; \
962        else \
963          success=false; \
964        fi; \
965        br='==================='; br=$$br$$br$$br$$br; \
966        result_count () \
967        { \
968            if test x"$$1" = x"--maybe-color"; then \
969              maybe_colorize=yes; \
970            elif test x"$$1" = x"--no-color"; then \
971              maybe_colorize=no; \
972            else \
973              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
974            fi; \
975            shift; \
976            desc=$$1 count=$$2; \
977            if test $$maybe_colorize = yes && test $$count -gt 0; then \
978              color_start=$$3 color_end=$$std; \
979            else \
980              color_start= color_end=; \
981            fi; \
982            echo "$${color_start}# $$desc $$count$${color_end}"; \
983        }; \
984        create_testsuite_report () \
985        { \
986          result_count $$1 "TOTAL:" $$all   "$$brg"; \
987          result_count $$1 "PASS: " $$pass  "$$grn"; \
988          result_count $$1 "SKIP: " $$skip  "$$blu"; \
989          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
990          result_count $$1 "FAIL: " $$fail  "$$red"; \
991          result_count $$1 "XPASS:" $$xpass "$$red"; \
992          result_count $$1 "ERROR:" $$error "$$mgn"; \
993        }; \
994        {                                                               \
995          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
996            $(am__rst_title);                                           \
997          create_testsuite_report --no-color;                           \
998          echo;                                                         \
999          echo ".. contents:: :depth: 2";                               \
1000          echo;                                                         \
1001          for b in $$bases; do echo $$b; done                           \
1002            | $(am__create_global_log);                                 \
1003        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1004        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1005        if $$success; then                                              \
1006          col="$$grn";                                                  \
1007         else                                                           \
1008          col="$$red";                                                  \
1009          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1010        fi;                                                             \
1011        echo "$${col}$$br$${std}";                                      \
1012        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1013        echo "$${col}$$br$${std}";                                      \
1014        create_testsuite_report --maybe-color;                          \
1015        echo "$$col$$br$$std";                                          \
1016        if $$success; then :; else                                      \
1017          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1018          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1019            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1020          fi;                                                           \
1021          echo "$$col$$br$$std";                                        \
1022        fi;                                                             \
1023        $$success || exit 1
1024
1025check-TESTS:
1026        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1027        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1028        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1029        @set +e; $(am__set_TESTS_bases); \
1030        log_list=`for i in $$bases; do echo $$i.log; done`; \
1031        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1032        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1033        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1034        exit $$?;
1035recheck: all $(check_PROGRAMS)
1036        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037        @set +e; $(am__set_TESTS_bases); \
1038        bases=`for i in $$bases; do echo $$i; done \
1039                 | $(am__list_recheck_tests)` || exit 1; \
1040        log_list=`for i in $$bases; do echo $$i.log; done`; \
1041        log_list=`echo $$log_list`; \
1042        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1043                am__force_recheck=am--force-recheck \
1044                TEST_LOGS="$$log_list"; \
1045        exit $$?
1046.test.log:
1047        @p='$<'; \
1048        $(am__set_b); \
1049        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1050        --log-file $$b.log --trs-file $$b.trs \
1051        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1052        "$$tst" $(AM_TESTS_FD_REDIRECT)
1053@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1054@am__EXEEXT_TRUE@       @p='$<'; \
1055@am__EXEEXT_TRUE@       $(am__set_b); \
1056@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1057@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1058@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1059@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1060
1061distdir: $(DISTFILES)
1062        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1063        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1064        list='$(DISTFILES)'; \
1065          dist_files=`for file in $$list; do echo $$file; done | \
1066          sed -e "s|^$$srcdirstrip/||;t" \
1067              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1068        case $$dist_files in \
1069          */*) $(MKDIR_P) `echo "$$dist_files" | \
1070                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1071                           sort -u` ;; \
1072        esac; \
1073        for file in $$dist_files; do \
1074          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1075          if test -d $$d/$$file; then \
1076            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1077            if test -d "$(distdir)/$$file"; then \
1078              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1079            fi; \
1080            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1081              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1082              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1083            fi; \
1084            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1085          else \
1086            test -f "$(distdir)/$$file" \
1087            || cp -p $$d/$$file "$(distdir)/$$file" \
1088            || exit 1; \
1089          fi; \
1090        done
1091check-am: all-am
1092        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1093        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1094check: check-am
1095all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1096installdirs:
1097        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"; do \
1098          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1099        done
1100install: install-am
1101install-exec: install-exec-am
1102install-data: install-data-am
1103uninstall: uninstall-am
1104
1105install-am: all-am
1106        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1107
1108installcheck: installcheck-am
1109install-strip:
1110        if test -z '$(STRIP)'; then \
1111          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1112            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1113              install; \
1114        else \
1115          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1116            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1117            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1118        fi
1119mostlyclean-generic:
1120        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1121        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1122        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1123
1124clean-generic:
1125        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1126
1127distclean-generic:
1128        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1129        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1130
1131maintainer-clean-generic:
1132        @echo "This command is intended for maintainers to use"
1133        @echo "it deletes files that may require special tools to rebuild."
1134clean: clean-am
1135
1136clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1137        clean-libtool mostlyclean-am
1138
1139distclean: distclean-am
1140        -rm -rf ./$(DEPDIR)
1141        -rm -f Makefile
1142distclean-am: clean-am distclean-compile distclean-generic \
1143        distclean-tags
1144
1145dvi: dvi-am
1146
1147dvi-am:
1148
1149html: html-am
1150
1151html-am:
1152
1153info: info-am
1154
1155info-am:
1156
1157install-data-am:
1158
1159install-dvi: install-dvi-am
1160
1161install-dvi-am:
1162
1163install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1164
1165install-html: install-html-am
1166
1167install-html-am:
1168
1169install-info: install-info-am
1170
1171install-info-am:
1172
1173install-man:
1174
1175install-pdf: install-pdf-am
1176
1177install-pdf-am:
1178
1179install-ps: install-ps-am
1180
1181install-ps-am:
1182
1183installcheck-am:
1184
1185maintainer-clean: maintainer-clean-am
1186        -rm -rf ./$(DEPDIR)
1187        -rm -f Makefile
1188maintainer-clean-am: distclean-am maintainer-clean-generic
1189
1190mostlyclean: mostlyclean-am
1191
1192mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1193        mostlyclean-libtool
1194
1195pdf: pdf-am
1196
1197pdf-am:
1198
1199ps: ps-am
1200
1201ps-am:
1202
1203uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1204
1205.MAKE: check-am install-am install-strip
1206
1207.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1208        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1209        clean-libtool cscopelist-am ctags ctags-am distclean \
1210        distclean-compile distclean-generic distclean-libtool \
1211        distclean-tags distdir dvi dvi-am html html-am info info-am \
1212        install install-am install-data install-data-am install-dvi \
1213        install-dvi-am install-exec install-exec-am install-html \
1214        install-html-am install-info install-info-am \
1215        install-libexecPROGRAMS install-libexecSCRIPTS install-man \
1216        install-pdf install-pdf-am install-ps install-ps-am \
1217        install-strip installcheck installcheck-am installdirs \
1218        maintainer-clean maintainer-clean-generic mostlyclean \
1219        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1220        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1221        uninstall-am uninstall-libexecPROGRAMS \
1222        uninstall-libexecSCRIPTS
1223
1224.PRECIOUS: Makefile
1225
1226
1227$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1228
1229# Tell versions [3.59,3.63) of GNU make to not export all variables.
1230# Otherwise a system limit (for SysV at least) may be exceeded.
1231.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.